/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import domen.Nastavnik;
import domen.PredajePredmet;
import domen.Predmet;
import java.util.ArrayList;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Mare
 */
public class ModelTabeleAngazovanja extends AbstractTableModel{
    
    private ArrayList<PredajePredmet> listaAngazovanja;
    String[] columnNames = new String[]{"Nastavnik", "Predmet", "Stud.program", "Semestar"};

    public ModelTabeleAngazovanja(ArrayList<PredajePredmet> listaAngazovanja) {
        this.listaAngazovanja = listaAngazovanja;
    }
    
    public ModelTabeleAngazovanja() {
        listaAngazovanja = new ArrayList<>();
    }

    public ArrayList<PredajePredmet> getListaAngazovanja() {
        return listaAngazovanja;
    }

    public void setListaAngazovanja(ArrayList<PredajePredmet> listaAngazovanja) {
        this.listaAngazovanja = listaAngazovanja;
    }
    
    @Override
    public int getRowCount() {
      return listaAngazovanja.size();
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }

    
    
    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
         PredajePredmet pp = listaAngazovanja.get(rowIndex);
         switch(columnIndex) {
            case 0: return pp.getNastavnik();
            case 1: return pp.getPredmet();
            case 2: return pp.getStudijskiProgram();
            case 3: return pp.getSemestar();
            default: return "";
        }
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
          PredajePredmet pp = listaAngazovanja.get(rowIndex);
         switch(columnIndex) {
            case 0:  pp.setNastavnik((Nastavnik) aValue);
            case 1:  pp.setPredmet((Predmet) aValue); break;
            case 2:  pp.setStudijskiProgram(aValue.toString()); break;
            case 3:  pp.setSemestar((int) aValue); break;
            
        }
    }
    
    public void dodajAngazovanje(PredajePredmet pp){
        listaAngazovanja.add(pp);
        fireTableDataChanged();
        
    }
    
    public void obrisiAngazovanje(int rb){
        listaAngazovanja.remove(rb);
        fireTableDataChanged();
    }
    
}
