/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import domen.PredajePredmet;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Mare
 */
public class ModelTabelePrikaz extends AbstractTableModel{
    
    String [] columnNames = new String[] {"Predmet", "Semestar", "Nastavnici"};
    private ArrayList<PredajePredmet> listaAngazovanja;
    
    public ModelTabelePrikaz(ArrayList<PredajePredmet> listaAngazovanja) {
        this.listaAngazovanja = listaAngazovanja;
    }
    
    public ModelTabelePrikaz() {
        listaAngazovanja = new ArrayList<>();
    }

    public ArrayList<PredajePredmet> getListaAngazovanja() {
        return listaAngazovanja;
    }

    public void setListaAngazovanja(ArrayList<PredajePredmet> listaAngazovanja) {
        this.listaAngazovanja = listaAngazovanja;
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }
    
    
    

 
    

    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public int getRowCount() {
        return listaAngazovanja.size();
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
          PredajePredmet pp = listaAngazovanja.get(rowIndex);
         switch(columnIndex) {
            case 0: return pp.getNastavnik();
            case 1: return pp.getPredmet();
            case 2: return pp.getSemestar();
            default: return "";
        }
    }

    
    
    
    
}
