/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package model;

import domen.Advokat;
import domen.Klijent;
import domen.Predmet;
import java.util.ArrayList;
import java.util.Date;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Mare
 */
public class ModelTabelePredmeti extends AbstractTableModel{
    
    String [] columnNames = {"Advokat", "Klijent", "Datum", "Naziv predmeta"};
    private ArrayList<Predmet> lista;

    public ModelTabelePredmeti(ArrayList<Predmet> lista) {
        this.lista = lista;
    }

    public ModelTabelePredmeti() {
        lista = new ArrayList<>();
    }

    public ArrayList<Predmet> getLista() {
        return lista;
    }

    public void setLista(ArrayList<Predmet> lista) {
        this.lista = lista;
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }
    
    
    

    @Override
    public int getRowCount() {
        return lista.size();
    }

    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Predmet p = lista.get(rowIndex);
        switch(columnIndex) {
            case 0: return p.getAdvokat();
            case 1: return p.getKlijent();
            case 2: return p.getDatum();
            case 3: return p.getNaziv();
            default: return "";
        }
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        Predmet p = lista.get(rowIndex);
        switch(columnIndex) {
            case 0: p.setAdvokat((Advokat) aValue); break;
            case 1: p.setKlijent((Klijent)aValue); break;
            case 2: p.setDatum((Date) aValue); break;
            case 3: p.setNaziv((String) aValue); break;
            
        }
    }
    
     public void dodaj(Predmet p){
        lista.add(p);
        fireTableDataChanged();
        
    }
    
    public void obrisi(int rb){
        lista.remove(rb);
        fireTableDataChanged();
    }
    
}
