/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kontroler;

import TransferObjekat.TransferObjekat;
import domen.Otpremnica;
import domen.PoslovniPartner;
import domen.Proizvod;
import java.io.IOException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import klijent.Komunikacija;

/**
 *
 * @author Mare
 */
public class Kontroler {

    public static List<PoslovniPartner> vratiSvePoslovnePartnere() throws UnknownHostException, IOException, ClassNotFoundException {
           ArrayList<PoslovniPartner> pp = new ArrayList<>();
        TransferObjekat to = new TransferObjekat();
        to.setOperacija(TransferObjekat.VRATI_POSLOVNE_PARTNERE);
        Komunikacija.vratiObjekat().posalji(to);
        
        TransferObjekat tos = Komunikacija.vratiObjekat().procitaj();
        
        
        
        return  (List<PoslovniPartner>)tos.getRezultat();
    }
    
    public static int vratiBroj() throws UnknownHostException, IOException, ClassNotFoundException {
        
        TransferObjekat to = new TransferObjekat();
        to.setOperacija(TransferObjekat.VRATI_BROJ);
        Komunikacija.vratiObjekat().posalji(to);   
        TransferObjekat tos = Komunikacija.vratiObjekat().procitaj();
        return (int) tos.getRezultat();
        
    }
    
    public static List<Proizvod> vratiSveProizvode() throws UnknownHostException, IOException, ClassNotFoundException{
        ArrayList<Proizvod> p = new ArrayList<>();
        TransferObjekat to = new TransferObjekat();
        to.setOperacija(TransferObjekat.VRATI_PROIZVODE);
        Komunikacija.vratiObjekat().posalji(to);
        
        TransferObjekat tos = Komunikacija.vratiObjekat().procitaj();
        
        
        
        return  (List<Proizvod>)tos.getRezultat();
    }
    
    public static TransferObjekat sacuvajOtpremnicu(Otpremnica o) {
        TransferObjekat toz = new TransferObjekat();
        toz.setOperacija(TransferObjekat.SACUVAJ_OTPREMNICU);
        toz.setParametar(o);
        try {
            Komunikacija.vratiObjekat().posalji(toz); // sada ovo saljemo serveru i cekamo njegov odgovor. Prelazimo na server u NitKlijent.java fajl
            return Komunikacija.vratiObjekat().procitaj();
        } catch (IOException | ClassNotFoundException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
            return new TransferObjekat(); // ako je exception onda vracam novi trans obj. jer po defaultu je success polje false!
        }
       
    }
    
}
