/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ModelTabele;

import domen.Prijava;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Vel
 */
public class ModelTabele extends AbstractTableModel {

    ArrayList<Prijava> lista;

    public ModelTabele(ArrayList<Prijava> lista) {
        if (lista == null) {
            this.lista = new ArrayList<Prijava>();
        } else {
            this.lista = lista;
        }
    }

    @Override
    public int getRowCount() {
        return lista.size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int i, int i1) {
        switch (i1) {
            case 0:
                return lista.get(i).getPredmet().getNazivPredmeta();
            case 1:
                return lista.get(i).getPredmet().getEspb_bodovi();
            case 2:
                return lista.get(i).getStudent().getIme() + " " + lista.get(i).getStudent().getPrezime();
            case 3:
                return lista.get(i).getOcena();
            case 4:
                return lista.get(i).getProfesor();
            default:
                return null;
        }
    }

    @Override
    public String getColumnName(int i) {
        switch (i) {
            case 0:
                return "Predmet";
            case 1:
                return "ESPB";
            case 2:
                return "Student";
            case 3:
                return "Ocena";
            case 4:
                return "Profesor";
            default:
                return null;
        }
    }
}
