/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package domen;

import java.sql.ResultSet;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author Kobra
 */
public class Prijava extends ApstraktniObjekat {
    
    private Student student;
    private Predmet predmet;
    private Date datum;
    private String profesor;
    private int ocena;

    public Prijava() {
    }

    public Prijava(Student student, Predmet predmet, Date datum, String profesor, int ocena) {
        this.student = student;
        this.predmet = predmet;
        this.datum = datum;
        this.profesor = profesor;
        this.ocena = ocena;
    }

    public Student getStudent() {
        return student;
    }

    public void setStudent(Student student) {
        this.student = student;
    }

    public Predmet getPredmet() {
        return predmet;
    }

    public void setPredmet(Predmet predmet) {
        this.predmet = predmet;
    }

    public Date getDatum() {
        return datum;
    }

    public void setDatum(Date datum) {
        this.datum = datum;
    }

    public String getProfesor() {
        return profesor;
    }

    public void setProfesor(String profesor) {
        this.profesor = profesor;
    }

    public int getOcena() {
        return ocena;
    }

    public void setOcena(int ocena) {
        this.ocena = ocena;
    }

  @Override
    public String unos() {
        DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String datum2 = dateFormat.format(datum);
        return "INSERT INTO TPrijava (sifrastudenta, sifrapredmeta, datumpolaganja, profesor, ocena) VALUES ("+student.getSifraStudenta()+","+predmet.getSifraPredmeta()+",'"+datum2+"','"+profesor+"',"+ocena+")";
    }

    @Override
    public String izmena() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public String brisanje() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public String vratiListu() {
        return "SELECT * FROM (TPrijava p INNER JOIN TStudent s ON (p.sifrastudenta = s.sifrastudenta)) INNER JOIN TPredmet r ON (p.sifrapredmeta = r.sifrapredmeta) WHERE p.ocena > 5 AND p.sifrapredmeta = "+predmet.getSifraPredmeta();
    }

     @Override
    public List napuniListu(ResultSet rs) {
        ArrayList<Prijava> lista = new ArrayList<Prijava>();
        try{
            while(rs.next()){
                Prijava prijava = new Prijava();             
                Student student = new Student();
                Predmet predmet = new Predmet();
                
                student.setSifraStudenta(rs.getInt("sifrastudenta"));
                student.setIme(rs.getString("ime"));
                student.setPrezime(rs.getString("prezime"));
                student.setBrojIndeksa(rs.getString("brojindeksa"));
                student.setStanjeNaRacunu(rs.getDouble("stanjenaracunu"));
                
                predmet.setSifraPredmeta(rs.getInt("sifrapredmeta"));
                predmet.setNazivPredmeta(rs.getString("nazivpredmeta"));
                predmet.setEspb_bodovi(rs.getInt("espb_bodovi"));

                prijava.setStudent(student);
                prijava.setPredmet(predmet);
                prijava.setDatum(rs.getDate("datumpolaganja"));
                prijava.setProfesor(rs.getString("profesor"));
                prijava.setOcena(rs.getInt("ocena"));
                
                lista.add(prijava);
            }
        }catch(Exception e){
            
        }
        return lista;
    }
    
}
