/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kontrolor;

import Operacija.Operacija;
import baza.DatabaseBroker;
import domen.ApstraktniObjekat;
import domen.Predmet;
import domen.Prijava;
import domen.Student;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;




/**
 *
 * @author Kobra
 */
public class Kontrolor {
    
   private static Kontrolor kontrolor;
   private ArrayList<Predmet> listaPredmet;
   private ArrayList<Student> listaStudent;
   private ArrayList<Prijava> listaPrijava;
   
    
   public Kontrolor(){
   }
   
   public static Kontrolor getKontrolor(){
    if(kontrolor == null){
      kontrolor = new Kontrolor();
    }
    return kontrolor;
   }

    public ArrayList<Predmet> getListaPredmet() {
        return listaPredmet;
    }

    public void setListaPredmet(ArrayList<Predmet> listaPredmet) {
        this.listaPredmet = listaPredmet;
    }

    public ArrayList<Student> getListaStudent() {
        return listaStudent;
    }

    public void setListaStudent(ArrayList<Student> listaStudent) {
        this.listaStudent = listaStudent;
    }

    public ArrayList<Prijava> getListaPrijava() {
        return listaPrijava;
    }

    public void setListaPrijava(ArrayList<Prijava> listaPrijava) {
        this.listaPrijava = listaPrijava;
    }
   
    
    
   
   
    private boolean unos(ApstraktniObjekat apstraktniObjekat) {
        apstraktniObjekat.setOperacija(Operacija.UNOS);
        return DatabaseBroker.getDatabaseBroker().izvrsi(apstraktniObjekat);
    }

    private boolean izmena(ApstraktniObjekat apstraktniObjekat) {
        apstraktniObjekat.setOperacija(Operacija.IZMENA);
        return DatabaseBroker.getDatabaseBroker().izvrsi(apstraktniObjekat);
    }

    private boolean brisanje(ApstraktniObjekat apstraktniObjekat) {
        apstraktniObjekat.setOperacija(Operacija.BRISANJE);
        return DatabaseBroker.getDatabaseBroker().izvrsi(apstraktniObjekat);
    }

    private List vratiListu(ApstraktniObjekat apstraktniObjekat) {
        apstraktniObjekat.setOperacija(Operacija.VRATI_LISTU);
        return DatabaseBroker.getDatabaseBroker().vratiListu(apstraktniObjekat);
    }

   

    public void vratiListuPredmet(){
     Predmet predmet = new Predmet();
     listaPredmet = (ArrayList<Predmet>) vratiListu(predmet);
    }
    
     public void vratiListuStudent(){
     Student student = new Student();
     listaStudent = (ArrayList<Student>) vratiListu(student);
    }

    public void vratiListuPrijava(Predmet predmet) {
           Prijava prijava = new Prijava();
           prijava.setPredmet(predmet);
           listaPrijava = (ArrayList<Prijava>) vratiListu(prijava);
    }

     public boolean unosPrijava(Student student, Predmet predmet, Date datum, String profesor, int ocena) {
        Prijava prijava = new Prijava(student, predmet, datum, profesor, ocena);
        return unos(prijava);
    }
 
}
