/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package kontroler;

import TransferObjekat.TransferObjekat;
import domen.Predmet;
import domen.PredmetStudijskiProgram;
import domen.StudijskiProgram;
import java.io.IOException;
import java.net.UnknownHostException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import klijent.Komunikacija;

/**
 *
 * @author Mare
 */
public class Kontroler {
    
    public static List<StudijskiProgram> vratiSveStudijskePrograme() throws UnknownHostException, IOException, ClassNotFoundException {
        ArrayList<StudijskiProgram> lsp = new ArrayList<>();
        TransferObjekat to = new TransferObjekat();
        to.setOperacija(TransferObjekat.VRATI_STUDIJSKE_PROGRAME);
        Komunikacija.vratiObjekat().posalji(to);
        
        TransferObjekat tos = Komunikacija.vratiObjekat().procitaj();
        
        
        
        return  (List<StudijskiProgram>)tos.getRezultat();
    }
    
    public static List<Predmet> vratiSvePredmete() throws UnknownHostException, IOException, ClassNotFoundException{
        ArrayList <Predmet> lp = new ArrayList<>();
        TransferObjekat to = new TransferObjekat();
        to.setOperacija(TransferObjekat.VRATI_PREDMETE);
        Komunikacija.vratiObjekat().posalji(to);
        TransferObjekat tos = Komunikacija.vratiObjekat().procitaj();
        
        return (List<Predmet>) tos.getRezultat();
    }
    
    public static TransferObjekat sacuvajStudijskiProgram(PredmetStudijskiProgram psp) {
        TransferObjekat toz = new TransferObjekat();
        toz.setOperacija(TransferObjekat.SACUVAJ_STUDIJSKI_PROGRAM);
        toz.setParametar(psp);
        try {
            Komunikacija.vratiObjekat().posalji(toz); // sada ovo saljemo serveru i cekamo njegov odgovor. Prelazimo na server u NitKlijent.java fajl
            return Komunikacija.vratiObjekat().procitaj();
        } catch (IOException | ClassNotFoundException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
            return new TransferObjekat(); // ako je exception onda vracam novi trans obj. jer po defaultu je success polje false!
        }
       
    }
    
}
