/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package komunikacija;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;

/**
 *
 * @author JOVANA
 */
public class Komunikacija {
    Socket socket;
    private static Komunikacija instance;
    
    public static Komunikacija vratiObjekat() throws IOException{
        if(instance==null){
            instance = new Komunikacija();
        }
        return instance;
    }
    

    public Komunikacija() throws IOException {
        socket = new Socket("127.0.0.1", 9000);
        System.out.println("Klijent se povezao");
    }
    
    public void posalji(TransferObjekatZahtev toz) throws IOException{
        ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        out.writeObject(toz);
    }
    
    public TransferObjekatOdgovor procitaj() throws IOException, ClassNotFoundException{
        ObjectInputStream in =new ObjectInputStream(socket.getInputStream());
        return (TransferObjekatOdgovor) in.readObject();
    }
    
    
}
