/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package logika;

import domen.Izdanje;
import domen.Publikacija;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import komunikacija.Komunikacija;
import konstante.Konstante;
import transfer.TransferObjekatOdgovor;
import transfer.TransferObjekatZahtev;

/**
 *
 * @author JOVANA
 */
public class Kontroler {
    
    public static List<Publikacija> vratiPublikacije(){
        TransferObjekatZahtev toz = new TransferObjekatZahtev();
        toz.setOperacija(Konstante.VRATI_PUBLIKACIJE);
        List<Publikacija> publikacije = new ArrayList<>();
        try {
            Komunikacija.vratiObjekat().posalji(toz);
            TransferObjekatOdgovor odgovor = Komunikacija.vratiObjekat().procitaj();
            publikacije = (List<Publikacija>) odgovor.getOdgovor();
        } catch (IOException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
        }
        return publikacije;
    }
    
    public static String sacuvajIzdanje(Izdanje i){
        TransferObjekatZahtev toz = new TransferObjekatZahtev();
        toz.setOperacija(Konstante.SACUVAJ_IZDANJE);
        toz.setParametar(i);
        String odg= null;
        try {
            Komunikacija.vratiObjekat().posalji(toz);
            TransferObjekatOdgovor odgovor = Komunikacija.vratiObjekat().procitaj();
            odg = odgovor.getRezultat();
        } catch (IOException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(Kontroler.class.getName()).log(Level.SEVERE, null, ex);
        }
        return odg;
    }
    
}
