/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.Publikacija;
import domen.Vest;
import java.util.ArrayList;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author JOVANA
 */
public class ModelTabele extends AbstractTableModel {

    private List<Vest> listaVesti;
    String[] nazivi = new String[]{"Publikacija", "RB", "Naslov", "Tekst"};
    
    
    public ModelTabele() {
        
        listaVesti = new ArrayList<>();
    }

    @Override
    public int getRowCount() {
        return listaVesti.size();
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int i, int i1) {
        Vest v = listaVesti.get(i);
        switch (i1) {
            case 0:
                return v.getIzdanje().getPublikacija();
            case 1:
                return v.getRb();
            case 2:
                return v.getNaslov();
            case 3:
                return v.getTekst();
            default:
                return "greska";
        }
    }

    @Override
    public String getColumnName(int i) {
        return nazivi[i];
    }

    @Override
    public boolean isCellEditable(int i, int i1) {
        if (i1 == 1 && i1 == 2) {
            return false;
        } else {
            return true;
        }
    }

    @Override
    public void setValueAt(Object o, int i, int i1) {
        Vest v = listaVesti.get(i);
        switch (i1) {
            case 0:
                v.getIzdanje().setPublikacija((Publikacija) o);
                break;
            case 1:
                v.setRb((int) o);
                break;
            case 2:
                v.setNaslov((String) o);
                break;
            case 3:
                v.setTekst((String) o);
                break;

        }
    }
    
    public void dodajVest(Vest v){
        listaVesti.add(v);
        fireTableDataChanged();
        
    }
    
    public void obrisiVest(int rb){
        listaVesti.remove(rb);
        fireTableDataChanged();
    }

    public List<Vest> getListaVesti() {
        return listaVesti;
    }

    public void setListaVesti(List<Vest> listaVesti) {
        this.listaVesti = listaVesti;
    }
    
    
    
    
    
    

}
