/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package logika;

import dbb.DBBroker;
import domen.Izdanje;
import domen.Publikacija;
import domen.Vest;
import java.sql.SQLException;
import java.text.ParseException;
import java.util.Date;
import java.util.List;

/**
 *
 * @author JOVANA
 */
public class Kontroler {
    DBBroker dbb;
    private static Kontroler instance;

    public Kontroler() {
        dbb = new DBBroker();
    }
    
    public static Kontroler vratiObjekat(){
        if(instance==null){
            instance = new Kontroler();
        }
        return instance;
    }
    
    public List<Publikacija> vratiPublikacije() throws SQLException{
        dbb.otvoriKonekciju();
        List<Publikacija> publikacije = dbb.vratiPublikacije();
        dbb.commit();
        dbb.zatvoriKonekciju();
        return publikacije;
    }
    
    public String sacuvajIzdanje(Izdanje i) throws SQLException{
        dbb.otvoriKonekciju();
        String poruka = dbb.sacuvajIzdanje(i);
        dbb.commit();
        dbb.zatvoriKonekciju();
        return poruka;
    }
    
    public List<Vest> vratiVesti(String tekst, String datum) throws SQLException, ParseException{
        dbb.otvoriKonekciju();
        List<Vest> vesti = dbb.pronadjiVesti(tekst, datum);
        dbb.commit();
        dbb.zatvoriKonekciju();
        return vesti;
    }
    
}
