/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package forma;

import domen.Otpremnica;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JTable;
import javax.swing.JTextField;

/**
 *
 * @author dostojic
 */
public class RefreshTableRunnable implements Runnable{

    JTextField dateFrom;
    JTextField dateTo;
    JTable table;
    PretragaTableModel model;
    public RefreshTableRunnable(JTextField dateFrom, JTextField dateTo, JTable table, JButton search) {
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
        this.table = table;
        model = new PretragaTableModel();
        table.setModel(model);
        
        search.addActionListener(new ActionListener(){

            @Override
            public void actionPerformed(ActionEvent e) {
                refreshTable();
            }
        
        });
    }
    
    
    @Override
    public void run() {
        
        while (true){
            try {
                refreshTable();
                
                Thread.sleep(10000);
            } catch (InterruptedException ex) {
                Logger.getLogger(RefreshTableRunnable.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }
    
    public void refreshTable(){
        try {
            SimpleDateFormat sdf = new SimpleDateFormat("dd.MM.yyyy");
            Date from = null;
            Date to = null;
            try {

                if (!dateFrom.getText().isEmpty()){
                   from  = sdf.parse(dateFrom.getText());
                }

                if (!dateTo.getText().isEmpty()){
                   to  = sdf.parse(dateTo.getText());
                }

            } catch (Exception e) {
    //                        JOptionPane.showMessageDialog(dateFrom, "Unesite validan datum. Za 10 sekundi opet idemo.");
                Logger.getLogger(RefreshTableRunnable.class.getName()).log(Level.OFF, null, e);
            }


            List<Otpremnica> vratiOtpremnice = kontroler.Kontroler.vratiObjekat().vratiOtpremnice(from, to);
            model.setOtpremnice(vratiOtpremnice);
        } catch (Exception ex) {
            Logger.getLogger(RefreshTableRunnable.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
}
