/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package baza;
import domen.ApstraktniObjekat;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;
import Operacija.Operacija;
import java.util.List;

/**
 *
 * @author Kobra
 */
public class DatabaseBroker {
    
    private Connection konekcija;
    private Statement iskaz;
    private static DatabaseBroker databaseBroker;

    public DatabaseBroker() {
    }
    
    
    public static DatabaseBroker getDatabaseBroker(){
     if(databaseBroker == null){
      databaseBroker = new DatabaseBroker();
     }
     return databaseBroker;
    }
    
    public boolean otvoriBazu(){
      try {
           Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
     konekcija = DriverManager.getConnection("jdbc:odbc:primerbaza");
        return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    } 
    
    public String dajUpit(ApstraktniObjekat apstraktniObjekat){
       switch(apstraktniObjekat.getOperacija()){
           case Operacija.UNOS:
               return apstraktniObjekat.unos();
           case Operacija.IZMENA:
               return apstraktniObjekat.izmena();
           case Operacija.BRISANJE:
               return apstraktniObjekat.brisanje();
           case Operacija.VRATI_LISTU:
               return apstraktniObjekat.vratiListu();
               default:return null;
       }
    }
   
     public boolean izvrsi(ApstraktniObjekat apstraktniObjekat){
      if(!otvoriBazu()){
       return false;
      }
      try{
      iskaz = konekcija.createStatement();
      iskaz.executeUpdate(dajUpit(apstraktniObjekat));
      iskaz.close();
     
     return true;
      }
    catch(Exception e){
        return false;
    }
    }
    
      public List vratiListu(ApstraktniObjekat apstraktniObjekat){
      if(!otvoriBazu()){
       return null;
      }
      List lista = null;
      try{
      iskaz = konekcija.createStatement();
      lista = apstraktniObjekat.napuniListu(iskaz.executeQuery(dajUpit(apstraktniObjekat)));
      iskaz.close();
      return lista;
      }
    catch(Exception e){
       
        return null;
    }
    }
     
}
